SciSoft - Bug #23366

Version conflict in nug4
10/02/2019 06:31 PM - Cathal Sweeney

Status: Closed Start date: 10/02/2019
Priority: Normal Due date:

Assignee: Lynn Garren % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

There is a version conflict in the nu v3_01_02 bundle. nug4 wants an older version of nusimdata:

$ setup -B nug4 v1_02_00 -gq el7:prof

Error encountered when setting up product: nug4

ERROR: Version conflict —-- dependency tree requires versions conflicting with current
duct nusimdata: version v1_16_02 vs v1_16_03

setup of pro

History

#1 - 10/04/2019 11:01 AM - Cathal Sweeney

I've just noticed that the command above has been formatted with a strikethrough. This is not intentional, it is just the -B flag being misinterpreted

#2 - 10/04/2019 11:21 AM - Cathal Sweeney

| believe what we need is a new version of nug4 which is compatible with nusimdata v1_16_03. This is needed before NOvA can begin their next

production release

#3 - 10/04/2019 12:09 PM - Kyle Knoepfel

- Description updated

For printouts from the terminal, it's best to wrap the printout in <pre>...</pre> tags.

#4 - 10/04/2019 12:43 PM - Cathal Sweeney
Noted, thanks for the tip :)

#5 - 10/04/2019 03:56 PM - Lynn Garren
- Assignee set to Lynn Garren

- Status changed from New to Assigned

Interesting. That should have been caught during the build. For future reference, the tags with nusimdata v1_16_xx are on the vi1_02_for_nova

branch. I've just tagged v1_02_01. Will fire up a build, but you may prefer to make your own local build in the meantime.

#6 - 10/04/2019 05:43 PM - Lynn Garren

- Status changed from Assigned to Resolved

nug4 vi_02_01 is now on SciSoft. It is part of the nu v3_01_02a distribution.

#7 - 10/06/2019 09:22 PM - Cathal Sweeney

Great, thanks so much Lynn!

#8 - 03/25/2020 03:38 PM - Kyle Knoepfel

- Status changed from Resolved to Closed
https://scisoft.fnal.gov/scisoft/packages/nug4/v1_02_01/
